---
# Namespace for Undateable.me application
apiVersion: v1
kind: Namespace
metadata:
  name: undateable
  labels:
    app.kubernetes.io/name: undateable
    app.kubernetes.io/managed-by: kubectl
---
# Resource quota to prevent runaway usage
apiVersion: v1
kind: ResourceQuota
metadata:
  name: undateable-quota
  namespace: undateable
spec:
  hard:
    requests.cpu: "4"
    requests.memory: 20Gi
    limits.cpu: "6"
    limits.memory: 24Gi
    pods: "20"
    services: "10"
    persistentvolumeclaims: "5"
---
# Limit range for default resource limits
apiVersion: v1
kind: LimitRange
metadata:
  name: undateable-limits
  namespace: undateable
spec:
  limits:
    - default:
        cpu: "500m"
        memory: "512Mi"
      defaultRequest:
        cpu: "100m"
        memory: "128Mi"
      type: Container
